> ## Name

> cgGLIsProgramLoaded - determine if a program is loaded

> ## Synopsis

>     #include <Cg/cgGL.h>

>     CGbool cgGLIsProgramLoaded( CGprogram program );

> ## Parameters

> program
>   The program which will be checked.

> ## Return Values

> Returns CG_TRUE if program has been loaded.

> Returns CG_FALSE otherwise.

> ## Description

> cgGLIsProgramLoaded returns CG_TRUE if program has been loaded with cgGLLoadProgram and CG_FALSE otherwise.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

> ## History

> cgGLIsProgramLoaded was introduced in Cg 1.2.

> ## See Also

> cgGLLoadProgram cgGLBindProgram